Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 22 Nov 2019, 02:16
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Bionicpup64 8.0 CE
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 68 of 69 [1024 Posts]   Goto page: Previous 1, 2, 3, ..., 66, 67, 68, 69 Next
Author Message
zigbert


Joined: 29 Mar 2006
Posts: 6607
Location: Valåmoen, Norway

PostPosted: Tue 29 Oct 2019, 17:37    Post subject:  

666philb wrote:
zigbert wrote:
Something weird with the 'kill' command in bionic64.
Code:
kill -19 12345
Works as expected (pauses the prosess), while the command to continue fails. Tried all documented variations
Code:
kill -18 12345
kill -n 18 12345
kill -s CONT 12345
kill -s SIGCONT 12345
Works in every other Puppy I've tried - Bionic32, ScPup, Slacko, RasPup


hi zigbert,

just tried this on htop and it paused and restarted.
Maybe htop has an alternative kill... No...
I tested htop too (with the same test as before), and it failed.
playing an audio file:
Code:
ffmpeg -i "/path/file.mp3" -f s16le -acodec pcm_s16le -ar 44100 -ac 2 - | aplay -f S16_LE -c2 -r44100
Now, trying to pause and continue in htop kills the process. This is unique behavior for Bionic64... Hmmm, this is strange
_________________
Stardust resources
Back to top
View user's profile Send private message Visit poster's website 
linuxcbon

Joined: 09 Aug 2007
Posts: 1281

PostPosted: Wed 30 Oct 2019, 10:49    Post subject:  

Bionicpup64 8.0 CE
when I use quickpet, in "useful" section, I cannot download "devx" or "kernel src" SFSs. I tried different URLs from the list, but none works.
Quote:
550 Failed to change directory.
No such directory 'pub/gnu+linux/puppylinux/puppy-bionic/bionicpup64/'.
Back to top
View user's profile Send private message 
linuxcbon

Joined: 09 Aug 2007
Posts: 1281

PostPosted: Wed 30 Oct 2019, 11:08    Post subject:  

Bionicpup64 8.0 CE
when running steam for 1st time, it shows an error :
Quote:
# steam
Repairing installation, linking /root/.steam/steam to /root/.local/share/Steam
File "/usr/bin/steamdeps", line 367

^
SyntaxError: EOF while scanning triple-quoted string literal
Running Steam on puppy 8 64-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(0)
/root/.local/share/Steam/ubuntu12_32/steam: symbol lookup error: /usr/lib/i386-linux-gnu/libxcb-dri3.so.0: undefined symbol: xcb_send_request_with_fds
/root/.local/share/Steam/steam.sh: line 444: no match: ssfn*


solution :
Quote:
LIBGL_DRI3_DISABLE=1 steam


see https://github.com/ValveSoftware/steam-for-linux/issues/4816
They closed the issue, but it doesnt seem to be fixed.
Back to top
View user's profile Send private message 
linuxcbon

Joined: 09 Aug 2007
Posts: 1281

PostPosted: Wed 30 Oct 2019, 16:29    Post subject:  

Bionicpup64 8.0 CE
installed conky from quickpet, useful tab. Many configurations of conkyswitcher are buggy. For example conky_grey :
Code:
root# conkyswitcher
/usr/sbin/set_bg: line 8: pcmanfm: command not found
conky: Syntax error (/root/.conky/conky_grey/conkyrc:2: unexpected symbol near '#') while reading config file.
conky: Assuming it's in old syntax and attempting conversion.
conky: Invalid value 'undecorate' for setting 'own_window_hints'. Valid values are: 'undecorated', 'below', 'above', 'sticky', 'skip_taskbar', 'skip_pager'.
conky: desktop window (4c8) is root window
conky: window type - override
(...)
conky: can't load Xft font 'Ubuntu:size=7,weight:bold'
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 12871
Location: S.C. USA

PostPosted: Wed 30 Oct 2019, 23:17    Post subject:  

linuxcbon wrote:
Bionicpup64 8.0 CE
when I use quickpet, in "useful" section, I cannot download "devx" or "kernel src" SFSs. I tried different URLs from the list, but none works.
Quote:
550 Failed to change directory.
No such directory 'pub/gnu+linux/puppylinux/puppy-bionic/bionicpup64/'.

Do Quickpet ->Info ->Bionicpup updates
Reboot so the updates get saved.
Try getting the devx or kernel src again.

_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer) http://www.murga-linux.com/puppy/viewtopic.php?t=107601
Back to top
View user's profile Send private message 
linuxcbon

Joined: 09 Aug 2007
Posts: 1281

PostPosted: Thu 31 Oct 2019, 06:58    Post subject:  

bigpup wrote:
Do Quickpet ->Info ->Bionicpup updates
Reboot so the updates get saved.
Try getting the devx or kernel src again.

My pup is always updated. Cool
Did you try it at least ? I cannot count on you, so I tested again :

For devx :
It worked for this servers :
distro.ibiblio.org
ftp.cc.uoc.gr (very slow)
ftp.nluug.nl
mirror.internode.on.net

It failed with this servers :
ftp.vcu.edu
1st mirror.aarnet.edu.au
2nd mirror.aarnet.edu.au (timed out)

Note : mirror.aarnet.edu.au is duplicated in the list, why ?
Back to top
View user's profile Send private message 
linuxcbon

Joined: 09 Aug 2007
Posts: 1281

PostPosted: Thu 31 Oct 2019, 13:36    Post subject:  

Bionicpup64 8.0 CE
Feature request : can you add python3 by default please ?
It is needed by some games in Steam, like "path of exile". Cool
Code:
env: can't execute 'python3': No such file or directory


I found it at /usr/bin/python3
Code:
root# /usr/bin/python3
bash: /usr/bin/python3: No such file or directory

Bug : The symlink is broken. /usr/bin/python3.6 doesn't exist.
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 12871
Location: S.C. USA

PostPosted: Thu 31 Oct 2019, 13:45    Post subject:  

Quote:
For devx :
It worked for this servers :
distro.ibiblio.org
ftp.cc.uoc.gr (very slow)
ftp.nluug.nl
mirror.internode.on.net

It failed with this servers :
ftp.vcu.edu
1st mirror.aarnet.edu.au
2nd mirror.aarnet.edu.au (timed out)


Puppy Linux has no control over these repositories.
If they are down, up, or working.

Usually, if they have problems. It is because, the people that own the repository, are working on it.

That is why, several of them are listed, to choose from.

ibiblio.org is usually working, most of the time.

Last edited by bigpup on Thu 31 Oct 2019, 13:50; edited 1 time in total
Back to top
View user's profile Send private message 
linuxcbon

Joined: 09 Aug 2007
Posts: 1281

PostPosted: Thu 31 Oct 2019, 13:49    Post subject:  

bigpup wrote:
Puppy Linux cannot control these repositories.
If they are down, up, or working.

Usually, if they have problems. It is because, the people that own the repository, are working on it.

That is why, several of them are listed, to choose from.

ibiblio.org is usually working, most of the time.

I know but I had to report it anyway, so it's a known problem now.
Back to top
View user's profile Send private message 
Revolverve


Joined: 08 Nov 2008
Posts: 247
Location: 45°17'28.8"N 72°16'08.8"W_avatar/ mira.ca

PostPosted: Thu 31 Oct 2019, 21:56    Post subject:  

Anybody know who create the google-chrome run-as-spot script ?

edit;bump...never mind

Bionicpup64 ,daily workhorse here.

_________________
Help mira.ca
Back to top
View user's profile Send private message 
belham2

Joined: 15 Aug 2016
Posts: 1703

PostPosted: Fri 08 Nov 2019, 05:21    Post subject:  

(posted something similar to this in a recent "Hardware" thread about bluetooth)
http://murga-linux.com/puppy/posting.php?mode=quote&p=1041279

Any Xenial/Bionic pup user ever get a USB Bluetooth Dongle (based on the all-pervasive Broadcom crappy ships) to work in Xenial and/or Bionic? Just for something simple like a recent Mpow bluetooth headset (not even trying bluetooth speakers, phones, or even sending files via bluetooth).

If you did get bluetooth to work, can you be specific about how you did it Neither Mistfire's excellent p3bluetooth app nor Rsrcn51's excellent app work when it seems to be an issue with these seemingly amazon-supplied everywhere Broadcom dongles.

Thanks for any feedback/tips/etc.



P.S. Both Broadcom and Intel chip-based bluetooth dongles work in all DebianDog and variations thereof. Debian overall takes care of the libraries and firmware. But across Pupland and variations thereof, Broadcom USB Bluetooth dongles---in my experience and testing---just work like crap, if they work at all.
Back to top
View user's profile Send private message 
linuxcbon

Joined: 09 Aug 2007
Posts: 1281

PostPosted: Fri 08 Nov 2019, 10:15    Post subject:  

Bionicpup64 8.0 CE

I am testing games in Steam, so can you please add "xdg-utils" package (to get xdg-icon-resource, xdg-user-dir etc).
Can you also make "nvdia" driver default, instead of "nouveau" driver ? Reason ? "nouveau" is extremly slow for games, unfortunately. Sad
PS : for testing, I just installed nvidia 440.31, it works OK except that I had to set up the keyboard language to french again.

Cheers
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 12871
Location: S.C. USA

PostPosted: Fri 08 Nov 2019, 18:31    Post subject:  

Nouveau is used by default, because it will work with any Nvidia graphics hardware.
It is a generic Linux Nvidia driver.
It does supply basic operations, but not as good as Nvidia's specific driver packages.

Specific Nvidia hardware, will need a specific Nvidia driver, if you want to use Nvidia supplied driver software.
Yes, their driver packages do support multiple devices.
However, they add support and delete support each time they make a new driver package.
Also, an older Nvidia driver package, is not going to support Nvidia hardware, developed after the driver was released.

The program:
Quickpet->Drivers->
Has Nvidia driver packages for download and install.
They support a lot of the Nvidia hardware, but not every possible one.
Some very old Nvidia hardware, is only supported by much older Nvidia drivers.

Here is information on compiling your own Nvidia driver packages.
http://www.murga-linux.com/puppy/viewtopic.php?t=110611

_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer) http://www.murga-linux.com/puppy/viewtopic.php?t=107601
Back to top
View user's profile Send private message 
Revolverve


Joined: 08 Nov 2008
Posts: 247
Location: 45°17'28.8"N 72°16'08.8"W_avatar/ mira.ca

PostPosted: Sat 09 Nov 2019, 15:00    Post subject:  

There are no bionicpup64 problem here,answers to these questions may just help the confused user in sandboxing understanding i am...
Using google-chrome latest run as spot ,which i does not seems to give me trouble,i have those questions that may seems obvious(wishful thinking here...) to some:
- Does it use sandboxing automatically?
I guess so,searching bionicpup64 script for the --no-sandbox argument ,find nothing in scripts and i read a lot out there that the're no such things anymore of chrome/chromium without it!!!
I do see all of jamesbond sandbox scripts build-in/included ,if ever they are here for that purpose or use in the system at all for the browser ..

Trying to explain confusion is not the easy one!!!!
If you think you can hit the switch so that it light up here ...
Oh and while on the subjet;
666philb
I still use google-chrome update_utility..
This must be the ¨magic¨ that keep the google-chrome run as spot script in opt,is that it?
Thanks

_________________
Help mira.ca
Back to top
View user's profile Send private message 
linuxcbon

Joined: 09 Aug 2007
Posts: 1281

PostPosted: Sat 09 Nov 2019, 19:58    Post subject:  

bigpup wrote:
Nouveau is used by default, because it will work with any Nvidia graphics hardware.
It is a generic Linux Nvidia driver.
It does supply basic operations, but not as good as Nvidia's specific driver packages.

Specific Nvidia hardware, will need a specific Nvidia driver, if you want to use Nvidia supplied driver software.
Yes, their driver packages do support multiple devices.
However, they add support and delete support each time they make a new driver package.
Also, an older Nvidia driver package, is not going to support Nvidia hardware, developed after the driver was released.

The program:
Quickpet->Drivers->
Has Nvidia driver packages for download and install.
They support a lot of the Nvidia hardware, but not every possible one.
Some very old Nvidia hardware, is only supported by much older Nvidia drivers.

Here is information on compiling your own Nvidia driver packages.
http://www.murga-linux.com/puppy/viewtopic.php?t=110611


You really think I dont know this ? What do you think ? And I wrote I installed the latest nvdia drivers, cant you read ? Rolling Eyes
I asked to have "nvidia" instead of "nouveau" driver to have better video performances. If it doesnt work with some old hardware (which is rare nowadays), it's easy to use "nouveau" instead. For me it's the best solution.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 68 of 69 [1024 Posts]   Goto page: Previous 1, 2, 3, ..., 66, 67, 68, 69 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1706s ][ Queries: 13 (0.0971s) ][ GZIP on ]